data<-read.table("jfreechart/Assertion_quantity/results-normal.txt")
fit1<-lm(data$V3/11299~data$V5)
summary(fit1)
fit2<-lm(data$V3/11299~data$V6)
summary(fit2)
plot(data$V5, data$V3/11299, pch=16, cex=0.5, xlab="Number of Test Cases", ylab="", cex.lab=2.1, cex.axis=2.1, cex.main=2.1, cex.sub=2.1)
mtext("Mutation Score", cex=2.1, side=2, line=2.6)

plot(data$V6, data$V3/11299, pch=16, cex=0.5, xlab="Number of Assertions", ylab="", cex.lab=2.1, cex.axis=2.1, cex.main=2.1, cex.sub=2.1)
plot(data$V5, data$V6, pch=16, cex=0.5, xlab="Number of Test Cases", ylab="", cex.lab=2, cex.axis=2, cex.main=2, cex.sub=2)
mtext("Number of Assertions", cex=2.1, side=2, line=2.6)

data<-read.table("javalibrary/results-normal.txt")
fit1<-lm(data$V3/11299~data$V5)
summary(fit1)
fit2<-lm(data$V3/11299~data$V6)
summary(fit2)
plot(data$V5, data$V3/11299, pch=16, cex=0.5, xlab="Number of test methods", ylab="Test suite effectiveness")
plot(data$V6, data$V3/11299, pch=16, cex=0.5, xlab="Number of assertions", ylab="Test suite effectiveness")
plot(data$V5, data$V6, pch=16, cex=0.5, xlab="Number of test methods", ylab="Number of assertions")

data<-read.table("asterisk/results-normal.txt")
fit1<-lm(data$V3/11299~data$V5)
summary(fit1)
fit2<-lm(data$V3/11299~data$V6)
summary(fit2)
plot(data$V5, data$V3/11299, pch=16, cex=0.5, xlab="Number of test methods", ylab="Test suite effectiveness")
plot(data$V6, data$V3/11299, pch=16, cex=0.5, xlab="Number of assertions", ylab="Test suite effectiveness")
plot(data$V5, data$V6, pch=16, cex=0.5, xlab="Number of test methods", ylab="Number of assertions")

data<-read.table("lambdaj/results-normal.txt")
fit1<-lm(data$V3/11299~data$V5)
summary(fit1)
fit2<-lm(data$V3/11299~data$V6)
summary(fit2)
plot(data$V5, data$V3/11299, pch=16, cex=0.5, xlab="Number of test methods", ylab="Test suite effectiveness")
plot(data$V6, data$V3/11299, pch=16, cex=0.5, xlab="Number of assertions", ylab="Test suite effectiveness")
plot(data$V5, data$V6, pch=16, cex=0.5, xlab="Number of test methods", ylab="Number of assertions")

data<-read.table("commonslang/results-normal.txt")
fit1<-lm(data$V3/11299~data$V5)
summary(fit1)
fit2<-lm(data$V3/11299~data$V6)
summary(fit2)
plot(data$V5, data$V3/11299, pch=16, cex=0.5, xlab="Number of test methods", ylab="Test suite effectiveness")
plot(data$V6, data$V3/11299, pch=16, cex=0.5, xlab="Number of assertions", ylab="Test suite effectiveness")
plot(data$V5, data$V6, pch=16, cex=0.5, xlab="Number of test methods", ylab="Number of assertions")